/*
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.wookie.beans.jcr;

import org.apache.wookie.beans.util.IPersistenceManager;

/**
 * PersistenceListenerAdapter - persistence operation notifications listener adapter.
 * 
 * @author <a href="mailto:rwatler@apache.org">Randy Watler</a>
 * @version $Id$
 */
public class PersistenceListenerAdapter implements IPersistenceListener
{
    /* (non-Javadoc)
     * @see org.apache.wookie.beans.jcr.IPersistenceListener#postDelete(org.apache.wookie.beans.util.IPersistenceManager)
     */
    public boolean postDelete(IPersistenceManager persistenceManager)
    {
        // do nothing by default
        return true;
    }

    /* (non-Javadoc)
     * @see org.apache.wookie.beans.jcr.IPersistenceListener#postSave(org.apache.wookie.beans.util.IPersistenceManager)
     */
    public boolean postSave(IPersistenceManager persistenceManager)
    {
        // do nothing by default
        return true;
    }

    /* (non-Javadoc)
     * @see org.apache.wookie.beans.jcr.IPersistenceListener#preDelete(org.apache.wookie.beans.util.IPersistenceManager)
     */
    public boolean preDelete(IPersistenceManager persistenceManager)
    {
        // do nothing by default
        return true;
    }

    /* (non-Javadoc)
     * @see org.apache.wookie.beans.jcr.IPersistenceListener#preSave(org.apache.wookie.beans.util.IPersistenceManager)
     */
    public boolean preSave(IPersistenceManager persistenceManager)
    {
        // do nothing by default
        return true;
    }
}
